Navigation for Javascript

Updated on May 17, 2021

UI for navigation featuring Hamburger menu, Bottom and Tab navigation components.

Use it on responsive websites and mobile apps. Together with the mobiscroll Page component makes an easy to use tool for building a great Navigation experience.

Shipping with useful features for a refined UX, including:

  • Usage on mobile and desktop with responsive features
  • Icons and labels for expressive nav targets
  • Ergonomic bottom navigation
  • Scrollable tab-list
  • Compact hamburger menu for saving space
  • Multiple theme support
  • Top, bottom and inline display support
  • RTL Support
  • Full localization


Navigation demos available for other frameworks.

Viewing demos & code for

Javascript Navigation Navigation for Javascript

Navigation - Bottom navigation

Change demo
Bottom navigation

Use the bottom navigation for the top level navigation solution in your app. When you navigate between pages of the same level of hierarchy, it gives a consistent look on each page. While it can also be rendered on the top of the viewport, on mobile handheld devices the bottom navigation bar is the easiest to reach. It's ergonomic.

Navigation items can be used with both icons and labels. Additionally every item can show a badge, containing dynamic information. For example the number of unread notifications.

The bottom navigation component automatically hides navigation items behind a "More" button, when the viewport is not wide enough. This behavior can be further customized with the layout settings.

For organizing content into categories  Check out the Tabs navigation →
Copy code

Navigation - Tabs

Change demo
Tabs

Use the tab navigation for organizing content into categories.

The tab navigation component supports swipe gestures for the tab-list, which makes the component a scalable solution for as many tabs as needed.

Tabs can combine icons and labels to be more expressive like in this demo.

Navigating between tabs can also be customized. Check out the demo for handling navigation with external buttons.

Short on screen space and need a menu button?  Check out the Hamburger navigation →
Copy code

Navigation - Hamburger menu

Change demo
Hamburger menu

The hamburger menu is a compact and well known solution for grouping destinations that need to be accessible from multiple pages.

One of the advantages it has over the Tabs or the Bottom navigation is that it hides the nav-items and saves space.

The menu button can be customized to suit your needs with the menuIcon and menuText settings.

Designing for multiple screen sizes?  Check out the Responsive demo →
Copy code

Navigation - Prev/Next

Change demo
Prev/Next

The Tab navigation component is customizable in a variety of ways. This demo shows how to add custom Prev/Next buttons beside the Tab component and how to make page change obvious.

If you are looking for the simplest solution in grouping content, have a look on the previous tabs demo.

For more customization  Check out the Event handlers demo →
Copy code

Navigation - Tabs with icons

Change demo
Tabs with icons

Add icons and labels to nav-items to be more informative. Build and save custom icon sets from over 2500 icons to choose from.

Use the scrollable tab-list for self-adjusting desktop & mobile content management.

Short on screen space and need a menu button?  Check out the Hamburger menu →
Copy code
mobiscroll.nav('#demo', {
    lang: ' ',
    theme: ' ',
    themeVariant: ' ',
    type: 'tab',
    onItemTap: function (event, inst) {
        document.querySelector('.md-tab-sel').classList.remove('md-tab-sel');
        document.querySelector('.' + event.target.getAttribute('data-tab')).classList.add('md-tab-sel');
    }
});
<div class="md-navigation">

    <ul id="demo" class="mbsc-cloak">
        <li data-tab="md-tab-iphone" data-icon="empty micons icon-iphone_6" data-selected="true">iPhone 6</li>
        <li data-tab="md-tab-acc" data-icon="empty micons icon-iphone_accessories">Accessories</li>
        <li data-tab="md-tab-comp" data-icon="empty micons icon-compare_iphone_models">Compare</li>
        <li data-tab="md-tab-ios" data-icon="empty micons icon-ios_8">iOS 8</li>
        <li data-tab="md-tab-icloud" data-icon="empty micons icon-icloud">iCloud</li>
    </ul>

    <div class="md-tab-iphone md-tab md-tab-sel">
        <h1 class="md-title">iPhone 6</h1>
        <h2 class="md-title">Bigger than bigger</h2>
        <div class="md-img-cont"><img src="https://img.mobiscroll.com/demos/iphone.jpg" /></div>
    </div>
    <div class="md-tab-acc md-tab">
        <div>Accessories</div>
        <h1 class="md-title">The perfect fit.<br> And finish</h1>
        <p>Make a statement. Cover every curve. Get fully charged. See all the essential Apple-designed accessories and more for iPhone 6 and iPhone 6 Plus.</p>
        <div class="md-img-cont"><img src="https://img.mobiscroll.com/demos/iphoneaccs.png" /></div>
    </div>
    <div class="md-tab-comp md-tab">
        <h1 class="md-title md-comp-title">Compare iPhone</h1>
        <div class="md-title md-comp-subtitle">Compare iPhone 6 Plus with iPhone 6</div>
        <div class="md-comp-table">
            <div class="md-comp-cell">iPhone 6 Plus</div>
            <div class="md-comp-cell">iPhone 6 </div>
        </div>
        <div class="md-comp-c">
            <div class="md-comp-table">
                <div class="md-comp-cell"><img src="https://img.mobiscroll.com/demos/6plus.png" /></div>
                <div class="md-comp-cell"><img src="https://img.mobiscroll.com/demos/6.png" /></div>
            </div>
        </div>
        <div class="md-title md-comp-sub">Overview</div>
        <div class="md-comp-table">
            <div class="md-comp-cell md-comp-desc">Available in silver, gold, and space gray, iPhone 6 Plus features an A8 chip, Touch ID, faster LTE wireless, a new 8MP iSight camera with Focus Pixels, and iOS 8.</div>
            <div class="md-comp-cell md-comp-desc">Available in silver, gold, and space gray, iPhone 6 features an A8 chip, Touch ID, faster LTE wireless, a new 8MP iSight camera with Focus Pixels, and iOS 8.</div>
        </div>
    </div>
    <div class="md-tab-ios md-tab">
        <div class="md-img-cont"><img src="https://img.mobiscroll.com/demos/ios8.png" /></div>
        <h2 class="md-title">The biggest iOS release ever.</h2>
        <div class="md-img-cont"><img src="https://img.mobiscroll.com/demos/ios.jpg" /></div>
    </div>
    <div class="md-tab-icloud md-tab">
        <div class="md-img-cont"><img src="https://img.mobiscroll.com/demos/icloud.png" /></div>
        <h1 class="md-title">iCloud</h1>
        <div class="md-title md-cloud-desc">iCloud connects you and your Apple devices in amazing ways. It makes sure you always have the latest versions of your most important things — like documents, apps, notes, and contacts — on whatever device you are using. It lets you easily share
            photos, calendars, locations, and more with friends and family. It even helps you find your device if you lose it. And iCloud does it all automatically. Just like that.</div>
        <div class="md-img-cont"><img src="https://img.mobiscroll.com/demos/icloudp.png" /></div>
    </div>

</div>
.mbsc-ms .micons {
    font-family: inherit;
}

.mbsc-ms .micons:before {
    font-family: 'icons_general';
}

.md-navigation .md-tab {
    display: none;
}

.md-navigation .md-tab-sel {
    display: block;
    height: 100%;
    background: #fff;
    font-size: 18px;
    padding: 25px;
    color: #333;
    font-family: "myriad-pro", sans-serif, verdana;
}

.md-navigation .md-title {
    text-align: center;
    font-weight: 100;
    color: #333;
}

.md-navigation .md-img-cont {
    text-align: center;
}

.md-navigation .md-img-cont img {
    display: block;
    margin: 0 auto;
    max-width: 100%;
    max-height: 700px;
}

.md-navigation .md-tab-acc {
    padding-bottom: 0;
}

.md-navigation .md-tab-acc .md-title {
    text-align: left;
}

.md-navigation .md-comp-title {
    margin: 0;
}

.md-navigation .md-comp-subtitle {
    margin-bottom: 55px;
}

.md-navigation .md-comp-sub {
    text-align: left;
    margin-top: 55px;
    border-bottom: 1px solid #d6d6d6;
    margin-bottom: 10px;
}

.md-navigation .md-comp-c {
    background: #f2f2f2;
    padding: 30px 0;
    margin: 0 -25px;
}

.md-navigation .md-comp-table {
    display: table;
    width: 100%;
}

.md-navigation .md-comp-cell {
    display: table-cell;
    padding: 0 20px;
}

.md-navigation .md-comp-cell img {
    display: block;
    max-width: 100%;
}

.md-navigation .md-comp-desc {
    font-size: 15px;
    padding: 10px;
}

.md-navigation .md-cloud-desc {
    margin-bottom: 26px;
}

Navigation - Event handlers

Change demo
Event handlers

The navigation components ships with different event hooks for deep customization. Events are triggered through the lifecycle of the component where you can tie in custom functionality and code. While users interact with the UI events like onItemTap, onMenuShow, onMenuHide ... will be triggered. Interact with the example and check the event log for the output.

For a complete list of events go to the documentation  See available lifecycle events →
Clear event log
EVENTS FIRED: 
Copy code

Navigation - Responsive

Change demo
Responsive

Set up the Navigation to behave responsively. Use the appriopriate positioning and rendering based on the screen size. You can have Hamburger menu on small screens and Tab navigation on large screens.

All this can be configured under the responsive setting where you pass the options for each breakpoint.

responsive: {
    xsmall: { ... }, small: { ... }, medium: { ... }, large: { ... }, xlarge: { ... }
}

Viewport
Copy code

Navigation - Desktop

Change demo
Desktop

Bottom and Tab navigation can be equally fitting for managing content on desktop web apps and large screens.

You can choose between one and the other depending on you content layout or use both like in this example.

Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos

Navigation for React

Updated on May 17, 2021

UI for navigation featuring Hamburger menu, Bottom and Tab navigation components.

Integrates well with the React Router library. Together they make a powerfull, easy to use tool in creating the navigation experience a react app needs.

Use it on responsive websites and mobile apps.

Shipping with useful features for a refined UX, including:

  • Usage on mobile and desktop with responsive features
  • Icons and labels for expressive nav targets
  • Ergonomic bottom navigation
  • Scrollable tab-list
  • Compact hamburger menu for saving space
  • Multiple theme support
  • Top, bottom and inline display support
  • RTL Support
  • Full localization


Navigation demos available for other frameworks.

Viewing demos & code for

React Navigation Navigation for React

Navigation - Bottom navigation

Change demo
Bottom navigation

Use the bottom navigation for the top level navigation solution in your app. When you navigate between pages of the same level of hierarchy, it gives a consistent look on each page. While it can also be rendered on the top of the viewport, on mobile handheld devices the bottom navigation bar is the easiest to reach. It's ergonomic.

Navigation items can be used with both icons and labels. Additionally every item can show a badge, containing dynamic information. For example the number of unread notifications.

The bottom navigation component automatically hides navigation items behind a "More" button, when the viewport is not wide enough. This behavior can be further customized with the layout settings.

For organizing content into categories  Check out the Tabs navigation →
Copy code

Navigation - Tabs

Change demo
Tabs

Use the tab navigation for organizing content into categories.

The tab navigation component supports swipe gestures for the tab-list, which makes the component a scalable solution for as many tabs as needed.

Tabs can combine icons and labels to be more expressive like in this demo.

Navigating between tabs can also be customized. Check out the demo for handling navigation with external buttons.

Short on screen space and need a menu button?  Check out the Hamburger navigation →
Copy code

Navigation - Hamburger menu

Change demo
Hamburger menu

The hamburger menu is a compact and well known solution for grouping destinations that need to be accessible from multiple pages.

One of the advantages it has over the Tabs or the Bottom navigation is that it hides the nav-items and saves space.

The menu button can be customized to suit your needs with the menuIcon and menuText settings.

Designing for multiple screen sizes?  Check out the Responsive demo →
Copy code

Navigation - Prev/Next

Change demo
Prev/Next

The Tab navigation component is customizable in a variety of ways. This demo shows how to add custom Prev/Next buttons beside the Tab component and how to make page change obvious.

If you are looking for the simplest solution in grouping content, have a look on the previous tabs demo.

For more customization  Check out the Event handlers demo →
Copy code

Navigation - Tabs with icons

Change demo
Tabs with icons

Add icons and labels to nav-items to be more informative. Build and save custom icon sets from over 2500 icons to choose from.

Use the scrollable tab-list for self-adjusting desktop & mobile content management.

Short on screen space and need a menu button?  Check out the Hamburger menu →
Copy code

import { Route, withRouter, BrowserRouter as Router, Switch, Redirect } from 'react-router-dom';
import mobiscroll from '@mobiscroll/react';
import '@mobiscroll/react/dist/css/mobiscroll.min.css';

mobiscroll.setupReactRouter(Route, withRouter);

class App extends React.Component {
    render() {
        return (
            <Router>
                <div className="md-navigation">
                    <mobiscroll.TabNav
                        lang=" "
                        theme=" " 
                        themeVariant=" "
                    >
                        <mobiscroll.NavItem to="/iphone6" icon="empty micons icon-iphone_6">iPhone 6</mobiscroll.NavItem>
                        <mobiscroll.NavItem to="/accessories" icon="empty micons icon-iphone_accessories">Accessories</mobiscroll.NavItem>
                        <mobiscroll.NavItem to="/compare" icon="empty micons icon-compare_iphone_models">Compare</mobiscroll.NavItem>
                        <mobiscroll.NavItem to="/ios8" icon="empty micons icon-ios_8">iOS 8</mobiscroll.NavItem>
                        <mobiscroll.NavItem to="/icloud" icon="empty micons icon-icloud">iCloud</mobiscroll.NavItem>
                    </mobiscroll.TabNav>
                    <Switch>
                        <Route path="/iphone6" component={Iphone} />
                        <Route path="/accessories" component={Acc} />
                        <Route path="/compare" component={Comp} />
                        <Route path="/ios8" component={Ios} />
                        <Route path="/icloud" component={Icloud} />
                        <Redirect path="/" exact to="/iphone6" />
                    </Switch>
                </div>
            </Router>
        );
    }
}

const Iphone = () => {
        return <div id="md-tab-iphone" className="md-tab md-tab-sel">
        <h1 className="md-title">iPhone 6</h1>
        <h2 className="md-title">Bigger than bigger</h2>
        <div className="md-img-cont"><img src="https://img.mobiscroll.com/demos/iphone.jpg" /></div>
    </div>;
};
const Acc = () => {
    return <div id="md-tab-acc" className="md-tab md-tab-sel">
        <div>Accessories</div>
        <h1 className="md-title">The perfect fit.<br></br> And finish</h1>
        <p>Make a statement. Cover every curve. Get fully charged. See all the essential Apple-designed accessories and more for iPhone&nbsp;6 and iPhone&nbsp;6&nbsp;Plus.</p>
        <div className="md-img-cont"><img src="https://img.mobiscroll.com/demos/iphoneaccs.png" /></div>
    </div>;
};
const Comp = () => {
    return <div id="md-tab-comp" className="md-tab md-tab-sel">
        <h1 className="md-title md-comp-title">Compare iPhone</h1>
        <div className="md-title md-comp-subtitle">Compare iPhone 6 Plus with iPhone 6</div>
        <div className="md-comp-table">
            <div className="md-comp-cell">iPhone 6 Plus</div>
            <div className="md-comp-cell">iPhone 6 </div>
        </div>
        <div className="md-comp-c">
            <div className="md-comp-table">
                <div className="md-comp-cell"><img src="https://img.mobiscroll.com/demos/6plus.png" /></div>
                <div className="md-comp-cell"><img src="https://img.mobiscroll.com/demos/6.png" /></div>
            </div>
        </div>
        <div className="md-title md-comp-sub">Overview</div>
        <div className="md-comp-table">
            <div className="md-comp-cell md-comp-desc">Available in silver, gold, and space gray, iPhone 6 Plus features an A8 chip, Touch ID, faster LTE wireless, a new 8MP iSight camera with Focus Pixels, and iOS 8.</div>
            <div className="md-comp-cell md-comp-desc">Available in silver, gold, and space gray, iPhone 6 features an A8 chip, Touch ID, faster LTE wireless, a new 8MP iSight camera with Focus Pixels, and iOS 8.</div>
        </div>
    </div>;
};
const Ios = () => {
        return <div id="md-tab-ios" className="md-tab md-tab-sel">
        <div className="md-img-cont"><img src="https://img.mobiscroll.com/demos/ios8.png" /></div>
        <h2 className="md-title">The biggest iOS release ever.</h2>
        <div className="md-img-cont"><img src="https://img.mobiscroll.com/demos/ios.jpg" /></div>
    </div>;
};
const Icloud = () => {
        return <div id="md-tab-icloud" className="md-tab md-tab-sel">
            <div className="md-img-cont"><img src="https://img.mobiscroll.com/demos/icloud.png" /></div>
            <h1 className="md-title">iCloud</h1>
            <div className="md-title md-cloud-desc">iCloud connects you and your Apple devices in amazing ways. It makes sure you always have the latest versions of your most important things — like documents, apps, notes, and contacts — on whatever device you are using. It lets you easily share
                        photos, calendars, locations, and more with friends and family. It even helps you find your device if you lose it. And iCloud does it all automatically. Just like that.</div>
            <div className="md-img-cont"><img src="https://img.mobiscroll.com/demos/icloudp.png" /></div>
        </div>;
};


<div id="content"></div>
.mbsc-ms .micons {
    font-family: inherit;
}

.mbsc-ms .micons:before {
    font-family: 'icons_general';
}

.md-navigation .md-tab {
    display: none;
}

.md-navigation .md-tab-sel {
    display: block;
    height: 100%;
    background: #fff;
    font-size: 18px;
    padding: 25px;
    color: #333;
    font-family: "myriad-pro", sans-serif, verdana;
}

.md-navigation .md-title {
    text-align: center;
    font-weight: 100;
    color: #333;
}

.md-navigation .md-img-cont {
    text-align: center;
}

.md-navigation .md-img-cont img {
    display: block;
    margin: 0 auto;
    max-width: 100%;
    max-height: 700px;
}

.md-navigation .md-tab-acc {
    padding-bottom: 0;
}

.md-navigation .md-tab-acc .md-title {
    text-align: left;
}

.md-navigation .md-comp-title {
    margin: 0;
}

.md-navigation .md-comp-subtitle {
    margin-bottom: 55px;
}

.md-navigation .md-comp-sub {
    text-align: left;
    margin-top: 55px;
    border-bottom: 1px solid #d6d6d6;
    margin-bottom: 10px;
}

.md-navigation .md-comp-c {
    background: #f2f2f2;
    padding: 30px 0;
    margin: 0 -25px;
}

.md-navigation .md-comp-table {
    display: table;
    width: 100%;
}

.md-navigation .md-comp-cell {
    display: table-cell;
    padding: 0 20px;
}

.md-navigation .md-comp-cell img {
    display: block;
    max-width: 100%;
}

.md-navigation .md-comp-desc {
    font-size: 15px;
    padding: 10px;
}

.md-navigation .md-cloud-desc {
    margin-bottom: 26px;
}

Navigation - Event handlers

Change demo
Event handlers

The navigation components ships with different event hooks for deep customization. Events are triggered through the lifecycle of the component where you can tie in custom functionality and code. While users interact with the UI events like onItemTap, onMenuShow, onMenuHide ... will be triggered. Interact with the example and check the event log for the output.

For a complete list of events go to the documentation  See available lifecycle events →
Clear event log
EVENTS FIRED: 
Copy code

Navigation - Responsive

Change demo
Responsive

Set up the Navigation to behave responsively. Use the appriopriate positioning and rendering based on the screen size. You can have Hamburger menu on small screens and Tab navigation on large screens.

All this can be configured under the responsive setting where you pass the options for each breakpoint.

responsive: {
    xsmall: { ... }, small: { ... }, medium: { ... }, large: { ... }, xlarge: { ... }
}

Viewport
Copy code

Navigation - Desktop

Change demo
Desktop

Bottom and Tab navigation can be equally fitting for managing content on desktop web apps and large screens.

You can choose between one and the other depending on you content layout or use both like in this example.

Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos